std::bad_optional_access(3cxx)

NAME
std::bad_optional_access - Exception class thrown when a disengaged optional object is dereferenced.

SYNOPSIS

Inherits std::exception.

  Public Member Functions

const char * what () const noexcept override

Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Member Function Documentation

  const char* std::bad_optional_access::what () const [inline], [override], [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.